/**
 * 获取用户组信息
 */
import { ref } from 'vue';
import type { UserGroupOption } from '@/types/person-group/type';
import { getAllUserGroup } from '@/api/system/person-group';
export const useGroupInfoHook = () => {
  const groupOptions = ref<UserGroupOption[]>([]);
  const getUserGroupList = async () => {
    const res = await getAllUserGroup();
    groupOptions.value = res.groupVOList;
  };
  return {
    groupOptions,
    getUserGroupList,
  };
};
